Subject: bug#73604: [PATCH] Properly operate on current fileset revision in vc-hg-print-log

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Oct 2024 10:36:46 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: Dmitry Gutov <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>    [email-masked]
> Date: Fri, 11 Oct 2024 16:53:29 -0400
> 
>  (defun vc-hg-print-log (files buffer &optional shortlog start-revision limit)
>    "Print commit log associated with FILES into specified BUFFER.
>  If SHORTLOG is non-nil, use a short format based on `vc-hg-root-log-format'.
> -If START-REVISION is non-nil, it is the newest revision to show.
> -If LIMIT is non-nil, show no more than this many entries."
> +If LIMIT is non-nil, show no more than this many entries.

This should say that LIMIT must be a positive integer number.

> +If START-REVISION is nil, the commit log is printed starting from the
                             ^^^^^^^^^^^^^^^^^^^^^^^^^
Passive tense alert!

> +working directory parent (revset \".\").  If START-REVISION is non-nil,
> +the log is printed starting from that revision."
       ^^^^^^^^^^^^^^
Same here.  In addition, I'm guessing START-REVISION must be a string,
right?